Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jersey
Class MuleComponentProviderFactory

    java.lang.Object
      org.mule.transport.jersey.MuleComponentProviderFactory

All Implemented Interfaces:
  com.sun.jersey.core.spi.component.ComponentProviderFactory<com.sun.jersey.core.spi.component.ioc.IoCComponentProvider>, com.sun.jersey.core.spi.component.ioc.IoCComponentProviderFactory

    public class MuleComponentProviderFactory

extends Object
implements com.sun.jersey.core.spi.component.ioc.IoCComponentProviderFactory

Constructor Summary
`MuleComponentProviderFactory(MuleContext muleContext, List<JavaComponent> components)`

Method Summary
`com.sun.jersey.core.spi.component.ioc.IoCComponentProvider` | `getComponentProvider(Class<?> cls)`
`com.sun.jersey.core.spi.component.ioc.IoCComponentProvider` | `getComponentProvider(com.sun.jersey.core.spi.component.ComponentContext ctx, Class<?> cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleComponentProviderFactory

    public MuleComponentProviderFactory(MuleContext muleContext,
                                        List<JavaComponent> components)

Method Detail

### getComponentProvider

    public com.sun.jersey.core.spi.component.ioc.IoCComponentProvider getComponentProvider(Class<?> cls)

  Specified by:
    `getComponentProvider` in interface `com.sun.jersey.core.spi.component.ComponentProviderFactory<com.sun.jersey.core.spi.component.ioc.IoCComponentProvider>`
  Specified by:
    `getComponentProvider` in interface `com.sun.jersey.core.spi.component.ioc.IoCComponentProviderFactory`

### getComponentProvider

    public com.sun.jersey.core.spi.component.ioc.IoCComponentProvider getComponentProvider(com.sun.jersey.core.spi.component.ComponentContext ctx,
                                                                                           Class<?> cls)

  Specified by:
    `getComponentProvider` in interface `com.sun.jersey.core.spi.component.ioc.IoCComponentProviderFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.